WordPress.org

Ready to get started?Download WordPress

Ideas

Language Chooser on Install for Plugins

  1. jimisaacs
    Member

    Many many many plugins have localizations for their admin.
    This is something that has made plugin developers very happy.
    It lets them develop for everyone. I am not saying that this is bad, but I am going to say that most of the time I don't need fifty translations of a page ordering plugin, I really don't.

    That being said, I wish there was a way to install the localization(s) that I need when I install the plugin.

    Allowing the plugin menu to install more localizations after the initial installation would be nice too. It can just check the repository for list of current, more localizations, or updated localizations.

    I really believe translation should be a separate thing. I don't believe a localization change should add a sub sub sub version number (Plugin version 2.1.5.9.9.9.9). I know this isn't the case in reality, but I hope I have some agreement somewhere. Ok, localizations might need a sub version, but it still would be nice to have the choice of which ones to install, if the plugin developer has provided them.

    I hope I'm not alone in saying that updating the entire plugin when a localization change has been made is tedious anyway.

    Thanks.

    Posted: 4 years ago #
  2. Jen Mylo
    Key Master

    7 months with no community comments or traction. Closing thread.

    Posted: 4 years ago #

RSS feed for this topic

Topic Closed

This topic has been closed to new replies.

  • Rating

    12345
    2 Votes
  • Status

    Sorry, not right now